Issue 73320 - useless error message when cancelling the paste of unformatted clipboard text
Summary: useless error message when cancelling the paste of unformatted clipboard text
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: ui (show other issues)
Version: 680m199
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: frank
QA Contact: issues@sc
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2007-01-10 06:51 UTC by Frank Schönheit
Modified: 2013-08-07 15:15 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Frank Schönheit 2007-01-10 06:51:37 UTC
- copy some text into the clipboard which contains a space character
  Make sure you do this in an application which really only copies
  the text format (no HTML etc.)
- in an empty cell of a Calc spreadsheet, press Ctrl-V
=> The "Text import" dialog appears
- press Escape to cancel this dialog
=> an info message is shown saying "The contents of the clipboard could not be
pasted."

Well, yes, heck, I just *cancelled* pasting, so why bother me?
Comment 1 Frank Schönheit 2007-01-10 06:54:19 UTC
This is a usability issue. If the user cancels an operation, this should
*cancel*, not disturb/distract with yet another dialog.

(Side note: The "Text Import" dialog as such is disturbing enough in daily work.
I do not know *any* other application which, upon a simply Paste, opens a modal
dialog. This is highly unusual in my opinion, and breaks my work flow multiple
times a day ...)
Comment 2 ooo 2007-01-10 15:12:46 UTC
In CWS calc41:
sc/source/ui/view/viewfun5.cxx  1.45.16.1

Regarding the disturbing "Text Import" dialog: that was introduced upon request,
see issue 15509, as we don't have a general "process clipboard data to paste"
handling with a filter options button in the Paste Special dialog.
Comment 3 Frank Schönheit 2007-01-11 08:40:46 UTC
thanks for the quick fix. I added my rant to issue 15509, thanks for pointing me
there.
Comment 4 ooo 2007-01-18 16:28:37 UTC
Reassigning to QA.
Comment 5 frank 2007-01-22 11:49:36 UTC
found fixed on cws calc41 using Windows, Solaris and Linux builds
Comment 6 frank 2007-02-09 11:30:38 UTC
found fixed on master OOFm6 using Linux, Solaris and Windows build